using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using YBDevice.Application;
using YBDevice.Application.DeviceInfo;

namespace YBDevice.NWeb.Pages.Device
{
    public class AllocModel : BaseModel
    {
        private readonly IDeviceService _deviceService;
        public List<DeviceAllocListSCDto> list = new List<DeviceAllocListSCDto>();
        public AllocModel(IDeviceService deviceService)
        {
            _deviceService = deviceService;
        }
        public async Task OnGet(int id)
        {
          list = await _deviceService.GetDeviceAllocListAsync(id);
        }
    }
}
